//====================================================================
// File Name : leds_test.c
// Function  : mini6410 ledsģ

//
// Author :Andrew Huang <bluedrum@163.com>
//====================================================================
#include "utils.h"

static void Led_Delay(void)
{
    	volatile unsigned int k;
    	for(k = 0; k < 20000000; k++);
}

void Loop_Leds(void)
{
  int j,i;
  
  Uart_SendString("Loop leds ...\r\n");
  for(j=0; j< 3 ; j++)
	  for(i=1; i <= 4 ;i++)
	  {
	     Led_On(i);
	     Led_Delay();
	     Led_Off(i);
	  }
}

void Count_Leds(void)
{
  int i,j;
    Uart_SendString("Count leds ...\r\n");
  for(j=0; j< 3 ; j++)
  {
	  for(i=1; i <= 16 ;i++)
	  {
	     Leds(i);
	     Led_Delay();
	  }
  
     Leds(0);
  }
}

void Collision_Leds(void)
{
  int i;
  
    Uart_SendString("Collision leds ...\r\n");
  for(i=0; i<5; i++)
  {
     Leds(0x9);
     Led_Delay();
     Leds(0x6);
     Led_Delay();
  }
  
  Leds(0);
}



void Test_Leds(void)
{
 while(1)
 {
  Uart_Printf("\r\n");
  Uart_Printf("1:loop leds \r\n");   //
  Uart_Printf("2:count leds \r\n");  //
  Uart_Printf("3:collision leds \r\n");  //ײЧ
  Uart_Printf("Please input you input \r\n");
  
  switch(Uart_GetCh())
  {
  case '1':
     Loop_Leds();
     break;
  case '2':
     Count_Leds();
     break;
  case '3':
     Collision_Leds();
     break;      
  }
 } 
}