#ifndef __UTILS_H__
#define __UTILS_H__

extern void Port_Init(void);
extern void Led_Display(int);

extern void Uart_Init(void);
extern void Uart_SendByte(int data);
extern void Uart_SendString(char *pt);
extern char Uart_GetCh(void);
extern char Uart_GetKey(void);

extern void Uart_Printf(char *fmt,...);

extern void Delay(int time);

extern void uDelay(int usec);


#define BEEP() Beep(4500,600)


//#define Uart_Printf(s) Uart_SendString(s)


#define ESC_KEY (033)


extern void Led_On(int id);
extern void Led_Off(int id);

//ledȫ
extern void Led_AllOff(void);
extern void Led(int id,int on);
extern void Leds(unsigned int val);
#endif    // __UTILS_H__
