#include "utils.h"
#include "s3c6410_addr.h"

extern char Image$$RO$$Limit[];
extern char Image$$RO$$Base[];
extern char Image$$RW$$Limit[];
extern char Image$$RW$$Base[];
extern char Image$$ZI$$Limit[];
extern char Image$$ZI$$Base[];

extern void Test_Leds(void);

void _main(void)
{
    //Uart_Init();       
    Port_Init();
   
    Uart_Printf("\r\n<***********************************************>\r\n");
    Uart_Printf("           S3C6410 Test Program VER1.0\r\n");
   Uart_Printf("      Build time is: %s  %s\r\n", __DATE__ , __TIME__  );
    Uart_SendString(" Mini6410 @Andrew Huang \r\n");
    
    Uart_Printf( "          Image$$RO$$Base  = 0x%x\r\n", Image$$RO$$Base );
    Uart_Printf( "          Image$$RO$$Limit = 0x%x\r\n", Image$$RO$$Limit );
    Uart_Printf( "          Image$$RW$$Base  = 0x%x\r\n", Image$$RW$$Base );
    Uart_Printf( "          Image$$RW$$Limit = 0x%x\r\n", Image$$RW$$Limit );
    Uart_Printf( "          Image$$ZI$$Base  = 0x%x\r\n", Image$$ZI$$Base );
    Uart_Printf( "          Image$$ZI$$Limit = 0x%x\r\n", Image$$ZI$$Limit );
   Uart_Printf("<***********************************************>\r\n");
    
   Test_Leds();
}

